Version mismatch? Rated 3 out of 5 stars

I'm using Firefox 3.6.3, I installed Tor-Proxy.NET Toolbar and upon rebooting the Options button (for Tor_Proxy...) is grayed out. Is there a version mismatch?